;Boot Floppy Image (for 1.44 MB 3 1/2 inch disks) for RavenOS
;By Jon Lawton <lar1@bigfoot.com>

%include "bs2.asm"   ;Sector one -- Boot sector (0.0.0)
times 512 db 0       ;Sector two -- Bad Block List (0.0.1)
	
	dw 0		   ;Sector three -- Free Space List (0.0.2)
	db 1
	db 1
times 508 db 0       
times 512 db 0       ;Sector four -- Free Space List (cont.) (0.0.3)
times 512 db 0       ;Sector five -- Free Space List (cont.) (0.0.4)
times 512 db 0       ;Sector six -- Free Space List (cont.)  (0.0.5)
	
	dw 0           ;Sector seven -- User Table Block       (0.0.6)
	db 0
	db 7
times 508 db 0 
	
	dw 0           ;Sector eight -- Root Block (0.0.7)
	db 0
	db 9
times 508 db 0
times 512 db 0       ;Sector nine -- Root Block (cont.) (0.0.8)
      
	dw 0           ;Sector ten -- Primary Block (0.0.9)
	db 0
	db 11
times 508 db 0
times 512 db 0       ;Sector eleven -- Primary Block (cont.) (0.0.10)
      
	dw 0           ;Sector twelve -- Secondary Block (0.0.11)
	db 0
	db 13
times 508 db 0
times 512 db 0       ;Sector thriteen -- Secondary Block (cont.) (0.0.12)
	
	dw 0           ;Sector fourteen -- Object Entry Block (0.0.13)
	db 1
	db 0
	
	db 0
	db 0
	db 1

	db 0

	db 0
	db 0
	db 1

	db 0
times 500 db 0
times 512 db 0       ;Sector fifteen -- Object Entry Block (cont.) (0.0.14)
times 512 db 0       ;Sector sixteen -- Object Entry Block (cont.) (0.0.15)
times 512 db 0       ;Sector seventeen -- Object Entry Block (cont) (0.0.16)
times 512 db 0      ;Sector eighteen -- Object Entry Block (cont) (0.0.17)

%include "kernel.asm" ;Sector nineteen -- Kernel (0.1.0)
	

